|

Import a bank link

post/users/{fp_id}/bank_links/import
Preview
External ID
Locked
Import a bank link to use within Footprint bank linking.

Request

Path parameters

fp_id·

string

Body

accounts·

array of objects

List of accounts to import
account_id·

string

Your internal ID for this account. Must be unique within the imported account batch.
account_type·

anyOf

The bank account type.
balances·

object

The balances of the account
name·

string

The name of the account
external_id·

optional string

An optional external id for the link
institution_id·

string

The institution id of the link
provider·

optional string

The provider that you are importing from

Allowed values:

plaid
transactions·

array of objects

List of transactions to import
account_id·

string

The internal account ID associated with this transaction
amount·

string

The amount of the transaction
date·

string

The date of the transaction in ISO-8601 format
description·

optional string

The description of the transaction
transaction_id·

optional string

The transaction ID
transaction_type·

optional string

The type of the transaction

Response

available_products·

array of strings

The available productions for the link

Allowed values:

accounts
account_numbers
transactions
investments
identity
enrichment
created_at·

string

The date and time the link was created
error_code·

optional string

The error code

Allowed values:

system_error
provider_error
institution_error
user_error
auth_expired
no_accounts
user_setup_required
invalid_credentials
user_oauth_denied
user_input_incorrect
incomplete
external_id·

optional string

The external id of the link
fp_id·

string

The footprint entity owning the link
id·

string

The link ID
institution_id·

optional string

The institution ID
institution_logo·

optional string

The institution logo
institution_name·

optional string

The account name
products·

object

The products added to the link and their statuses
account_numbers·

optional object

accounts·

optional object

enrichment·

optional object

identity·

optional object

investments·

optional object

transactions·

optional object

provider·

optional string

The underlying data provider used to establish the link
state·

string

The link state

Allowed values:

connecting
connected
deleted
error
tags·

optional array of strings

Tags for the link
POST /users/{fp_id}/bank_links/import
1curl -X POST https://api.onefootprint.com/users/{fp_id}/bank_links/import \
2  -u sk_test_xxxxx: \
3  -d '{
4    "accounts": [
5      {
6        "account_id": "Lorem ipsum dolor",
7        "account_type": {},
8        "balances": {
9          "available": "1200.00",
10          "balance_date": "2023-05-15T14:30:00Z",
11          "currency": "USD",
12          "current": "1250.45",
13          "limit": "2000.00"
14        },
15        "name": "Lorem ipsum dolor"
16      },
17      {
18        "account_id": "Lorem ipsum dolor",
19        "account_type": {},
20        "balances": {
21          "available": "1200.00",
22          "balance_date": "2023-05-15T14:30:00Z",
23          "currency": "USD",
24          "current": "1250.45",
25          "limit": "2000.00"
26        },
27        "name": "Lorem ipsum dolor"
28      }
29    ],
30    "external_id": "0cece047-151f-4ac4-9782-dc27691fd766",
31    "institution_id": "Lorem ipsum dolor",
32    "provider": "plaid",
33    "transactions": [
34      {
35        "account_id": "Lorem ipsum dolor",
36        "amount": "Lorem ipsum dolor",
37        "date": "Lorem ipsum dolor",
38        "description": "Lorem ipsum dolor",
39        "transaction_id": "Lorem ipsum dolor",
40        "transaction_type": "Lorem ipsum dolor"
41      },
42      {
43        "account_id": "Lorem ipsum dolor",
44        "amount": "Lorem ipsum dolor",
45        "date": "Lorem ipsum dolor",
46        "description": "Lorem ipsum dolor",
47        "transaction_id": "Lorem ipsum dolor",
48        "transaction_type": "Lorem ipsum dolor"
49      }
50    ]
51  }'
Response example
{
  "available_products": [
    "accounts",
    "account_numbers"
  ],
  "created_at": "2021-01-01T00:00:00Z",
  "external_id": "ext_id_12345678",
  "fp_id": "fp_id_7p793EF07xKXHqAeg5VGPj",
  "id": "bank_link_x134ssf3rsdf",
  "institution_id": "inst_12345",
  "institution_logo": "https://example.com/chase.png",
  "institution_name": "Chase Bank",
  "products": {
    "account_numbers": {
      "last_attempted_at": "2023-05-15T14:30:00Z",
      "refreshed_at": "2023-05-15T14:30:00Z"
    },
    "accounts": {
      "last_attempted_at": "2023-05-15T14:30:00Z",
      "refreshed_at": "2023-05-15T14:30:00Z"
    },
    "transactions": {
      "last_attempted_at": "2023-05-15T14:30:00Z",
      "refreshed_at": "2023-05-15T14:30:00Z"
    }
  },
  "provider": "akoya",
  "state": "connected",
  "tags": [
    "my_tag"
  ]
}